use 5.006;
use strict;
use warnings;
use ExtUtils::MakeMaker;

# solo se ejecuta con perl Makefile.PL
#system("cp scripts/simplot.pl scripts/simplot; chmod a+x scripts/simplot");

WriteMakefile(
    NAME             => 'Simusol::Plot',
    AUTHOR           => q{Dolores Alia <Dolores.Alia@gmail.com>},
    VERSION_FROM     => 'lib/Simusol/PlotGNU.pm',
    ABSTRACT         => 'Graficador de tablas',
    LICENSE          => 'gpl_3',
    PL_FILES         => {},
    MIN_PERL_VERSION => 5.006,
    EXE_FILES           => [ 'scripts/simplot' ], # no esta bien, no es exe, el perl, ver tambien siru
    CONFIGURE_REQUIRES => {
        'ExtUtils::MakeMaker' => 0,
    },
    BUILD_REQUIRES => {
        'Test::More' => 0,
    },
    PREREQ_PM => {
        #'ABC'              => 1.6,
        #'Foo::Bar::Module' => 5.0401,
    },
    dist  => { COMPRESS => 'gzip -9f', SUFFIX => 'gz', },
    clean => { FILES => 'Simusol-*' },
);

sub MY::postamble {
    
return <<'MAKE_FRAG';
config:: copy_sim

copy_sim:
	cp scripts/simplot.pl scripts/simplot
	chmod a+x scripts/simplot

MAKE_FRAG
}

# make manifest
